const bemNaming = require('@bem/sdk.naming.entity'); // This is required, cause RunKit cannot load this package itself.
const originNaming = require('@bem/sdk.naming.presets/origin');
const stringify = require('@bem/sdk.naming.file.stringify')(originNaming);

const BemFile = require('@bem/sdk.file');

// Create a BEM file object to test the stringify() function.
const file = BemFile.create({
    block: 'b1',
    elem: 'e1',
    mod: {name: 'm1', val: 'v1'},
    tech: 'js',
    layer: 'desktop',
    level: 'node_modules/bem-core'
});

stringify(file);;